### Hierarchy

- ReadonlyArray<string>
  - TemplateStringsArray

### Indexable

[n: number]: string

## Index

### Properties

- length
- raw

### Methods

- __@iterator
- concat
- entries
- every
- filter
- find
- findIndex
- forEach
- includes
- indexOf
- join
- keys
- lastIndexOf
- map
- reduce
- reduceRight
- slice
- some
- toLocaleString
- toString
- values

## Properties

### length

length: number

Inherited from ReadonlyArray.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1080

Gets the length of the array. This is a number one higher than the highest element defined in an array.

### raw

raw: ReadonlyArray<string>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:595

## Methods

### __@iterator

- __@iterator(): IterableIterator<string>

- Inherited from ReadonlyArray.__@iterator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:88

  Iterator of values in the array.

  #### Returns IterableIterator<string>

### concat

- concat(...items: ConcatArray<string>[]): string[]
- concat(...items: (T | ConcatArray<T>)[]): string[]

- Inherited from ReadonlyArray.concat

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1093

  Combines two or more arrays.

  #### Parameters

  - ##### Rest ...items: ConcatArray<string>[]

    Additional items to add to the end of array1.

  #### Returns string[]

- Inherited from ReadonlyArray.concat

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1098

  Combines two or more arrays.

  #### Parameters

  - ##### Rest ...items: (T | ConcatArray<T>)[]

    Additional items to add to the end of array1.

  #### Returns string[]

### entries

- entries(): IterableIterator<[number, string]>

- Inherited from ReadonlyArray.entries

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:93

  Returns an iterable of key, value pairs for every entry in the array

  #### Returns IterableIterator<[number, string]>

### every

- every(callbackfn: function, thisArg?: any): boolean

- Inherited from ReadonlyArray.every

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1127

  Determines whether all the members of an array satisfy the specified test.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### filter

- filter<S>(callbackfn: function, thisArg?: any): S[]
- filter(callbackfn: function, thisArg?: any): string[]

- Inherited from ReadonlyArray.filter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1151

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Type parameters

  - #### S: string

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns S[]

- Inherited from ReadonlyArray.filter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1157

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): any

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns any

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns string[]

### find

- find<S>(predicate: function, thisArg?: any): S | undefined
- find(predicate: function, thisArg?: any): string | undefined

- Inherited from ReadonlyArray.find

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:346

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Type parameters

  - #### S: string

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (this: void, value: string, index: number, obj: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### this: void

        - ##### value: string

        - ##### index: number

        - ##### obj: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns S | undefined

- Inherited from ReadonlyArray.find

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:347

  #### Parameters

  - ##### predicate: function

    - - (value: string, index: number, obj: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### obj: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns string | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- Inherited from ReadonlyArray.findIndex

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:358

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: string, index: number, obj: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### obj: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- Inherited from ReadonlyArray.forEach

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1139

  Performs the specified action for each element in an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): void

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### includes

- includes(searchElement: string, fromIndex?: undefined | number): boolean

- Inherited from ReadonlyArray.includes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2016.array.include.d.ts:36

  Determines whether an array includes a certain element, returning true or false as appropriate.

  #### Parameters

  - ##### searchElement: string

    The element to search for.

  - ##### Optional fromIndex: undefined | number

    The position in this array at which to begin searching for searchElement.

  #### Returns boolean

### indexOf

- indexOf(searchElement: string, fromIndex?: undefined | number): number

- Inherited from ReadonlyArray.indexOf

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1115

  Returns the index of the first occurrence of a value in an array.

  #### Parameters

  - ##### searchElement: string

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.

  #### Returns number

### join

- join(separator?: undefined | string): string

- Inherited from ReadonlyArray.join

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1103

  Adds all the elements of an array separated by the specified separator string.

  #### Parameters

  - ##### Optional separator: undefined | string

    A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.

  #### Returns string

### keys

- keys(): IterableIterator<number>

- Inherited from ReadonlyArray.keys

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:98

  Returns an iterable of keys in the array

  #### Returns IterableIterator<number>

### lastIndexOf

- lastIndexOf(searchElement: string, fromIndex?: undefined | number): number

- Inherited from ReadonlyArray.lastIndexOf

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1121

  Returns the index of the last occurrence of a specified value in an array.

  #### Parameters

  - ##### searchElement: string

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.

  #### Returns number

### map

- map<U>(callbackfn: function, thisArg?: any): U[]

- Inherited from ReadonlyArray.map

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1145

  Calls a defined callback function on each element of an array, and returns an array that contains the results.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): U

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns U

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns U[]

### reduce

- reduce(callbackfn: function): string
- reduce(callbackfn: function, initialValue: string): string
- reduce<U>(callbackfn: function, initialValue: U): U

- Inherited from ReadonlyArray.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1163

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: string, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): string

      - #### Parameters

        - ##### previousValue: string

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns string

- Inherited from ReadonlyArray.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1164

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: string, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): string

      - #### Parameters

        - ##### previousValue: string

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns string

  - ##### initialValue: string

  #### Returns string

- Inherited from ReadonlyArray.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1170

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reduceRight

- reduceRight(callbackfn: function): string
- reduceRight(callbackfn: function, initialValue: string): string
- reduceRight<U>(callbackfn: function, initialValue: U): U

- Inherited from ReadonlyArray.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1176

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: string, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): string

      - #### Parameters

        - ##### previousValue: string

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns string

- Inherited from ReadonlyArray.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1177

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: string, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): string

      - #### Parameters

        - ##### previousValue: string

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns string

  - ##### initialValue: string

  #### Returns string

- Inherited from ReadonlyArray.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1183

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: string, currentIndex: number, array: ReadonlyArray<string>): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: string

        - ##### currentIndex: number

        - ##### array: ReadonlyArray<string>

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### slice

- slice(start?: undefined | number, end?: undefined | number): string[]

- Inherited from ReadonlyArray.slice

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1109

  Returns a section of an array.

  #### Parameters

  - ##### Optional start: undefined | number

    The beginning of the specified portion of the array.

  - ##### Optional end: undefined | number

    The end of the specified portion of the array.

  #### Returns string[]

### some

- some(callbackfn: function, thisArg?: any): boolean

- Inherited from ReadonlyArray.some

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1133

  Determines whether the specified callback function returns true for any element of an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.

    - - (value: string, index: number, array: ReadonlyArray<string>): boolean

      - #### Parameters

        - ##### value: string

        - ##### index: number

        - ##### array: ReadonlyArray<string>

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### toLocaleString

- toLocaleString(): string

- Inherited from ReadonlyArray.toLocaleString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1088

  Returns a string representation of an array. The elements are converted to string using their toLocalString methods.

  #### Returns string

### toString

- toString(): string

- Inherited from ReadonlyArray.toString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1084

  Returns a string representation of an array.

  #### Returns string

### values

- values(): IterableIterator<string>

- Inherited from ReadonlyArray.values

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:103

  Returns an iterable of values in the array

  #### Returns IterableIterator<string>

Generated using TypeDoc